1. Contact Fields
Chronox AI API Referance
  • Get Started
    • Introduction
    • Authentication
    • Rate limiting
    • Errors
    • Pagination
    • Campaign
  • Account
    • Get User Details
      GET
    • Get Meta Integration
      GET
    • Get Integrated Channels
      GET
    • Get WABA Catalogs
      GET
  • WhatsApp Templates
    • Getting started
    • Templates
      • Create Whatsapp Template Guide
      • Get Whatsapp Templates
      • Get Whatsapp Template Details
      • Create Whatsapp Template
    • Lookups
      • Get Whatsapp Template Category
      • Get Whatsapp Languages
      • Get Whatsapp Template Type
      • Get Whatsapp Template Interactive Type
      • Get Whatsapp Template Header Type
      • Get Whatsapp Template Button Type
      • Get Whatsapp Template Dynamic Variable Type
  • Messaging
    • Getting started
    • Send Whatsapp Message
      POST
    • Send Whatsapp Template
      POST
    • Send Canned Response
      POST
  • Inbox
    • Get Inbox Data
      GET
    • Get Thread Details
      GET
    • Update Thread Archive
      PUT
    • Assign Thread Tags
      PUT
    • Assign Thread Status
      PUT
    • Update Thread Notes
      PUT
    • Get Canned Responses
      GET
    • Get Tags
      GET
    • Get Thread Status Types
      GET
  • Contact List
    • Getting started
    • Get Contact List
    • Create Contact List
    • Update Contact List
    • Update Contact List Status
    • Delete Contact List
  • Contacts
    • Getting started
    • Get Contacts
    • Create Contacts
    • Update Contact
    • Delete Contact
    • Delete Contact Copy
  • Tags and fields
    • Contact Tags
      • Get contact tags
      • Create contact tags
      • Update contact tag
      • Delete contact tag
    • Contact Fields
      • Get contact fields
        GET
      • Create contact fields
        POST
      • Update contact field
        PUT
      • Delete contact field
        DELETE
  • Campaign
    • Getting Started
    • Campaign APIs
      • Create campaign
      • Get campaign
      • Update campaign
      • Delete campaign
      • Run campaign
      • Pause campaign
      • Resume campaign
      • Archive campaign
      • Get campaign Stats
    • Lookup
      • Get Statuses
      • Get campaign execution statuses
      • Get campaign contact filter types
      • Get campaign message types
      • Get contact field types
      • Get template variable types
      • Get country codes
  • Whatsapp Flow
    • Get Whatsapp flows
  • Tickets
    • Getting started
    • Get Tickets
    • Create Ticket
    • Update Ticket
    • Get Ticket Statuses
    • Get Agents
  • Organization Teams
    • Get Organization Teams
  • Template Library
    • Get Template Library
    • Get Template Drafts
  • CRM
    • Import leads (single or bulk)
    • List leads
    • Get lead detail
  • Schemas
    • Thread Execution Data
    • LeadImportField
    • LeadImportContact
    • Single lead
    • LeadImportBulkLead
    • Bulk (leads[])
    • LeadImportWarning
    • Single result
    • Bulk result
    • ApiError
    • ErrorEnvelope
    • Lead detail
    • Lead list row
    • Lead list
  1. Contact Fields

Create contact fields

Developing
POST
/contact/field

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.chronox.ai/api/contact/field' \
--header 'Authorization: Bearer <API-key>' \
--header 'Content-Type: application/json' \
--data '{
    "contact_list_id": 1,
    "contact_field_data": [
        {
            "contact_field_name": "City",
            "contact_field_type_id": 1
        },
        {
            "contact_field_name": "Company",
            "contact_field_type_id": 1
        }
    ]
}'
Response Response Example
{
    "status": true,
    "data": [
        {
            "contact_list_id": 1,
            "contact_list_name": "Sample List",
            "contact_field_data": [
                {
                    "contact_field_id": 1,
                    "flag_default": true,
                    "contact_field_name": "Phone Number",
                    "contact_field_seq": 1,
                    "contact_field_type_id": 1,
                    "contact_field_type_name": "Text",
                    "created_at_timestamp": "2026-01-01T00:00:00.000Z",
                    "updated_at_timestamp": null
                },
                {
                    "contact_field_id": 5,
                    "flag_default": false,
                    "contact_field_name": "City",
                    "contact_field_seq": 5,
                    "contact_field_type_id": 1,
                    "contact_field_type_name": "Text",
                    "created_at_timestamp": "2026-01-01T00:00:00.000Z",
                    "updated_at_timestamp": null
                }
            ]
        }
    ]
}
Modified at 2026-10-20 12:12:14
Previous
Get contact fields
Next
Update contact field
Built with